Package Details: private-internet-access-vpn 3.3.3-12

Git Clone URL: https://aur.archlinux.org/private-internet-access-vpn.git (read-only, click to copy)
Package Base: private-internet-access-vpn
Description: Installs VPN profiles for Private Internet Access Service
Upstream URL: https://www.privateinternetaccess.com/
Keywords: connman networkmanager openvpn python vpn
Licenses: GPL
Submitter: flamusdiu
Maintainer: flamusdiu
Last Packager: flamusdiu
Votes: 85
Popularity: 0.174586
First Submitted: 2014-08-14 01:22
Last Updated: 2019-11-25 03:37

Pinned Comments

flamusdiu commented on 2016-10-01 10:56

Dev version -> https://aur.archlinux.org/packages/private-internet-access-vpn-dev/

You can submit issues on Github -> https://github.com/flamusdiu/python-pia

Latest Comments

« First ‹ Previous ... 6 7 8 9 10 11 12 13 14 15 16 ... Next › Last »

finch commented on 2017-02-22 01:09

@flamusdiu - here's full output. Looks like everything goes fine right up until "install."

http://pastebin.com/wMXfgWGz

If there's another way you want me to get output, let me know.

flamusdiu commented on 2017-02-21 22:22

I would not use IPv6 with the VPN. To my knowledge it doesn't work properly. See: https://www.privateinternetaccess.com/forum/discussion/21565/ipv6-leaking-despite-ipv6-leak-protection

I would disable IPv6 and then do the tests and let me know. See: https://wiki.archlinux.org/index.php/IPv6#Disable_IPv6

newbOnArch commented on 2017-02-21 17:41

@flamusdiu I looked into these links you provided me https://wiki.archlinux.org/index.php/Private_Internet_Access_VPN#Troubleshooting and https://github.com/flamusdiu/python-pia/issues/13. They still cause dns and ipv6 to leak. The weird thing is I'm two websites https://www.dnsleaktest.com/ and http://dnsleak.com/ the first one tells me it's leaking but the second one which is link provided by pia says i'm not. I'm not sure what to do here.

flamusdiu commented on 2017-02-21 11:17

@finch: Here's my output when I install it: http://pastebin.com/svR07fpf

I am using "--cleanbuild --force" to ensure the build process is new and because I already have it installed. It appears to not be able to reach some URL but the out put doesn't say. Can you post the whole build process for me?

finch commented on 2017-02-21 03:13

@flamusdiu: Apologies if I'm misunderstanding. I ran 'git clone' to download the package first, then cd to the new directory. From there, I ran 'makepkg -sri' to attempt to install.

flamusdiu commented on 2017-02-20 22:44

@flinch: what command did you do for the install?

finch commented on 2017-02-20 20:15

Hello! New arch install, running openbox with NetworkManager. When I try to install this particular package, I wind up with this error:

==> Starting package()...
Traceback (most recent call last):
File "/usr/lib/python3.6/urllib/request.py", line 1318, in do_open
encode_chunked=req.has_header('Transfer-encoding'))
File "/usr/lib/python3.6/http/client.py", line 1239, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.6/http/client.py", line 1285, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.6/http/client.py", line 1234, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.6/http/client.py", line 1026, in _send_output
self.send(msg)
File "/usr/lib/python3.6/http/client.py", line 964, in send
self.connect()
File "/usr/lib/python3.6/http/client.py", line 1392, in connect
super().connect()
File "/usr/lib/python3.6/http/client.py", line 936, in connect
(self.host,self.port), self.timeout, self.source_address)
File "/usr/lib/python3.6/socket.py", line 704, in create_connection
for res in getaddrinfo(host, port, 0, SOCK_STREAM):
File "/usr/lib/python3.6/socket.py", line 743, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "setup.py", line 21, in <module>
ez_setup.use_setuptools()
File "/home/finch/Downloads/GitClones/AUR/private-internet-access-vpn/src/python-pia/ez_setup.py", line 160, in use_setuptools
version = _resolve_version(version)
File "/home/finch/Downloads/GitClones/AUR/private-internet-access-vpn/src/python-pia/ez_setup.py", line 368, in _resolve_version
resp = urlopen(meta_url)
File "/usr/lib/python3.6/urllib/request.py", line 223, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.6/urllib/request.py", line 526, in open
response = self._open(req, data)
File "/usr/lib/python3.6/urllib/request.py", line 544, in _open
'_open', req)
File "/usr/lib/python3.6/urllib/request.py", line 504, in _call_chain
result = func(*args)
File "/usr/lib/python3.6/urllib/request.py", line 1361, in https_open
context=self._context, check_hostname=self._check_hostname)
File "/usr/lib/python3.6/urllib/request.py", line 1320, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [Errno -2] Name or service not known>
==> ERROR: A failure occurred in package().
Aborting...


I've triple checked dependencies and have also installed python-pia.git just in case. That didn't seem to make a difference either way. I haven't been able to find much relevant info on this particular issue, either on the internet at large or the wiki related to this package. I have previously (about 6-8 months ago) installed this with no issues on 2 other machines with similar configurations. Any help would be appreciated.

Cavsfan commented on 2017-02-16 20:01

@flamusdiu, I will keep that in mind. Thanks for your help and thanks for taking the time maintaining this package! Good work! :-)

flamusdiu commented on 2017-02-16 18:47

It's good you got it worked out. Just a note: '/etc/opnevpn/pia.conf' doesn't do anything. 'pia.conf' lives in '/etc/private-internet-access/' folder.

Cavsfan commented on 2017-02-16 17:17

That fixed it. Thank you. I had to change it to 1197 from UDP/1197 in both /etc/openvpn/pia.conf and /etc/private-internet-access/pia.conf? I changed it in /etc/openvpn/pia.conf, rebooted and it still didn't work. Then I changed it in the /etc/private-internet-access/pia.conf file and it worked without rebooting.